API Reference
List Rollout
Lists rollouts with optional filtering and pagination.
GET
/
v1
/
workflows
/
rollout
/
instances
List Rollout
curl --request GET \
--url https://experiments.confidence.dev/v1/workflows/rollout/instances \
--header 'Authorization: Bearer <token>'import requests
url = "https://experiments.confidence.dev/v1/workflows/rollout/instances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://experiments.confidence.dev/v1/workflows/rollout/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rollouts": [
{
"displayName": "<string>",
"state": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"owner": "<string>",
"jobQueue": {
"isEnabled": true,
"items": [
{
"key": "<string>",
"func": "<string>",
"runTime": {},
"isActive": true,
"parameters": {}
}
]
},
"pendingTransition": {
"transitionAction": "<string>",
"targetState": "<string>",
"succeededSteps": [
"<string>"
],
"failedSteps": [
{
"actionStep": "<string>",
"failuresMessages": [
"<string>"
]
}
],
"unprocessedSteps": [
"<string>"
],
"succeededActions": [
"<string>"
],
"failedActions": [
{
"action": "<string>",
"failuresMessages": [
"<string>"
]
}
],
"unprocessedActions": [
"<string>"
]
},
"checks": [
{
"message": "<string>",
"persist": true,
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"displayName": "<string>",
"parent": "<string>",
"data": {
"nullValue": "NULL_VALUE",
"numberValue": 123,
"stringValue": "<string>",
"boolValue": true,
"structValue": {},
"listValue": {
"values": [
{}
]
}
},
"labels": [
{}
]
}
],
"stateHistory": [
{
"state": "<string>",
"enteredTime": {},
"exitedTime": {},
"actualEnteredTime": {},
"actualExitedTime": {},
"checks": [
{
"message": "<string>",
"persist": true,
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"displayName": "<string>",
"parent": "<string>",
"data": {
"nullValue": "NULL_VALUE",
"numberValue": 123,
"stringValue": "<string>",
"boolValue": true,
"structValue": {},
"listValue": {
"values": [
{}
]
}
},
"labels": [
{}
]
}
]
}
],
"possibleTransitions": [
"<string>"
],
"lockedDataKeys": [
"<string>"
],
"workflowVersion": "<string>",
"surfaces": [
"<string>"
],
"transitionStatus": {
"action": "<string>",
"initiator": "<string>",
"running": {
"startTime": {}
},
"completed": {
"startTime": {},
"endTime": {}
},
"failed": {
"startTime": {},
"endTime": {},
"error": "<string>"
}
},
"deleteTime": {},
"labels": [
{}
],
"explore": {
"exploratoryAnalyses": [
{
"createTime": "<string>",
"id": "<string>",
"messages": [
"<string>"
],
"metrics": [
{
"dimensions": [
{
"column": "<string>",
"dimensionTable": "<string>",
"factTable": "<string>"
}
],
"name": "<string>",
"calculation": "<string>",
"scheduledCalculation": "<string>"
}
],
"name": "<string>",
"updateTime": "<string>",
"analysisResults": [
{
"analysisResult": "<string>",
"exposureFilterName": "<string>"
}
],
"conclusion": {
"text": "<string>",
"updateTime": "<string>"
},
"createdBy": "<string>",
"endTime": "<string>",
"labels": [
{
"key": "<string>",
"value": "<string>"
}
],
"splitByExposureFilters": true,
"startTime": "<string>",
"useCustomDateRange": true,
"useScheduledCalculation": true
}
]
},
"exposure": {
"exposure": [
{
"totalExposureCount": 123,
"treatment": "<string>",
"exposureFilter": "<string>"
}
]
},
"flags": {
"audiences": [
{
"id": "<string>",
"displayName": "<string>",
"intakePaused": true,
"launchTime": "<string>",
"materialization": "<string>",
"rule": "<string>",
"segment": "<string>",
"stopTime": "<string>"
}
],
"flag": "<string>",
"ignoreTargetingForSticky": true,
"intakePaused": true,
"materialization": "<string>",
"rule": "<string>",
"segment": "<string>",
"stickyAssignments": true,
"targetingKeySelector": "<string>"
},
"metrics": {
"metrics": [
{
"metric": "<string>",
"calculation": "<string>",
"metricRole": {
"minimumDetectableEffect": 123,
"nonInferiorityMargin": 123
},
"schedule": "<string>",
"surface": "<string>",
"surfaceOnly": true
}
],
"assignmentTable": "<string>",
"entity": "<string>",
"exposureCalculation": "<string>",
"exposureFilter": {
"displayName": "<string>",
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
},
"exposureMetric": "<string>",
"exposureMetricCalculation": "<string>",
"exposureMetricSchedule": "<string>",
"exposureTable": "<string>",
"exposureTableSchedule": "<string>",
"filters": [
{
"displayName": "<string>",
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
}
]
},
"planning": {
"actual": {
"endTime": "<string>",
"runtime": "<string>",
"startTime": "<string>"
},
"planned": {
"endTime": "<string>",
"runtime": "<string>",
"startTime": "<string>"
}
},
"reviews": {
"approvalRequired": true,
"optionalReviews": [
{
"responses": [
{
"reviewer": "<string>",
"commentId": "<string>",
"groups": [
"<string>"
],
"id": "<string>",
"stale": true
}
],
"surface": "<string>"
}
],
"requiredReviews": [
{
"responses": [
{
"reviewer": "<string>",
"commentId": "<string>",
"groups": [
"<string>"
],
"id": "<string>",
"stale": true
}
],
"surface": "<string>"
}
],
"reviewId": "<string>"
},
"rollout": {
"monitoringDisabled": true,
"abtest": "<string>",
"controlAssignmentId": "<string>",
"controlVariant": "<string>",
"description": "<string>",
"flag": "<string>",
"initialReach": "<string>",
"reach": "<string>",
"schedule": {
"steps": [
{
"durationSincePreviousStep": "<string>",
"reach": "<string>",
"updateTime": "<string>"
}
],
"stateReason": {}
},
"treatmentGroupProportion": 123,
"variant": "<string>",
"variantAssignmentId": "<string>",
"variantImageUri": "<string>"
},
"samplesize": {
"error": "<string>",
"exposure": {
"assignmentTable": {
"assignmentTable": "<string>",
"customEndTime": "<string>",
"customStartTime": "<string>",
"filters": {
"exposureFilter": "<string>"
},
"runtime": "<string>",
"samplingFactor": 123
},
"endTime": "<string>",
"existingInstance": {
"workflowInstance": "<string>",
"exposureTableSchedule": "<string>"
},
"startTime": "<string>"
},
"exposureSource": {
"assignmentTable": "<string>",
"customEndTime": "<string>",
"customStartTime": "<string>",
"exposureTableSchedule": "<string>",
"filters": {
"assignmentFilter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"entityFilter": {
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
},
"exposureFilter": "<string>"
},
"runtime": "<string>",
"samplingFactor": 123,
"workflowInstance": "<string>"
},
"hasCustomizedExposureSource": true,
"metrics": [
{
"metric": "<string>",
"error": "<string>",
"forecastedData": [
{
"dayIndex": 123,
"expectedSampleSize": 123,
"requiredSampleSize": 123
}
],
"observedData": [
{
"dayIndex": 123,
"expectedSampleSize": 123,
"mean": 123,
"requiredSampleSize": 123,
"variance": 123
}
],
"requiredSampleSize": 123,
"summaryStats": {
"count": 123,
"mean": 123,
"variance": 123,
"varianceReductionRate": 123
}
}
],
"requiredSampleSize": 123,
"statsParameters": {
"alpha": 123,
"power": 123,
"allocationProportion": "<string>"
},
"useScheduledCalculation": true
},
"stats": {
"alpha": 123,
"analysisResult": "<string>",
"analysisResults": [
{
"analysisResult": "<string>",
"exposureFilterName": "<string>"
}
],
"fallbackSampleSize": "<string>",
"metricInformation": [
{
"metricName": "<string>",
"expectedSampleSize": "<string>"
}
],
"metricMethods": [
{
"metricName": "<string>"
}
],
"power": 123
}
}
],
"nextPageToken": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of results to return.
Token for pagination.
Filter expression for results.
Field to order results by.
If deleted instances should be included.
Was this page helpful?
⌘I
List Rollout

